Skip to main content
GET
Get File By Item ID
Retrieve the file metadata associated with an item ID. The response includes file details such as the title, file name, ingestion status, publisher, and organization.

Authentication

The API requires an API key with access to the publisher that owns the file. The organization associated with your API key must be authorized to access the requested file.

Path parameter

  • item_id — The UUID of the item associated with the file.

Error Reference: Data Engine

Common errors include an unauthorized request or a file that cannot be found.

Common errors

  • 403 Forbidden — You are not authorized to access this file.
  • 404 Not Found — No file exists for the requested item ID.

Authorizations

Authorization
string
header
default:<api-key>
required

Bearer authentication header of the form Bearer <api-key>, where <api-key> is your API key.

Path Parameters

item_id
string<uuid>
required

Response

Successful Response

item_id
string<uuid>
required
title
string | null
required
file_name
string
required
type
string | null
required
author
string[] | null
required
status
string | null
required
chunk_count
integer
required
upload_date
string<date-time> | null
required
publisher_id
string<uuid> | null
required
publisher_name
string | null
required
organization_id
string<uuid> | null
required
organization_name
string | null
required
ingestion_source
string | null
item_subtitle
string | null
item_image
string | null
item_url
string | null
item_summary
string | null
item_tags
string[] | null
isbn
string | null
publication_date
string | null
hosted_url
string | null
visible_in_search
boolean | null
visible_in_chat
boolean | null